registerOutputEvent("Player", "SetMaxTools", "int 0 30 5");

function Player::SetMaxTools(%this, %int)
{	
	%int = mClamp(%int, 0, 30);
	
	if(isObject(%client = %this.client))
	{
		if(%client.SetMaxTools > %int)
		{
			for(%a = %int; %a <= %client.SetMaxTools; %a++)
			{
				messageClient(%client, 'MsgItemPickup', "", %a, 0, 1);
				%this.tool[%a] = 0;
			}
		}
		commandToClient(%client, 'PlayGui_CreateToolHud', %int);
		messageClient(%client, 'MsgError', "\c0You can now carry\c3" SPC %int SPC "\c0tools.");
		%client.SetMaxTools = %int;
	}
}

if(isPackage(SetMaxTools))
{
	deactivatePackage(SetMaxTools);
}

package SetMaxTools
{
	function Player::pickup(%this, %obj)
	{
		if(!isObject(%client = %this.client) || %client.SetMaxTools $= "")
		{
			Parent::pickup(%this, %obj);
			return;
		}
		
		for(%a = 0; %a < %client.SetMaxTools; %a++)
		{
			if(%this.tool[%a] == %obj.getDatablock().getID())
			{
				return;
			}
		}
		
		%db = %this.getDatablock();
		%max = %db.maxTools;
		%db.maxTools = %client.SetMaxTools;
		
		Parent::pickup(%this, %obj);
		echo(%db.maxTools);
		
		%db.maxTools = %max;
	}
	function Player::ClearTools(%this)
	{
		Parent::ClearTools(%this);
	}
	function gameConnection::spawnPlayer(%this)
	{
		for(%a = 0; %a < %this.SetMaxTools; %a++)
		{
			messageClient(%this, 'MsgItemPickup', "", %a, 0, 1);
		}
		
		Parent::spawnPlayer(%this);
		
		%this.SetMaxTools = "";
	}
};

activatePackage(SetMaxTools);